   10 REM  GAUSSSCHER ALGORITHMUS UND AUSGLEICH VON MESSWERTEN
   20 REM  VON WERNER RENZIEHAUSEN,HAUPTSTR.32, 3360 OSTERODE 1
   30 REM
   40 REM   (MODIFIZIERT : P.LAWATSCH fr PC-1600-SYSTEM)
   50 REM   (aus CHIP-SPEZIAL fr *FISCHEL-DISKOTHEK*)
   60 REM
   70 REM
   80 "GAUSS"BEEP ON :WAIT 0:BEEP 1:CLS :PRINT "Neueingabe":PRINT "=========="
   90 BEEP 1:INPUT "Erluterung (J/-) ? ";E$:IF E$="J"GOSUB 1860
  100 CLS :CLEAR :GOSUB 110:GOTO 130
  110 P$="":BEEP 1:INPUT "Mit Prfausdruck (J/-) ? ";P$
  120 RETURN
  130 BEEP 1:CLS :INPUT "Anz.d.Gleichungen/Unb.=";N
  140 N=INT N:IF N<2BEEP 2:GOTO 130
  150 DIM A(N,N),C(N),Z(N),X(N),AD(N-1,N-1),CD(N),A$(0)*36
  160 IF U=1RETURN
  170 REM
  180 REM  FELDEINGABE
  190 REM
  200 CLS :WAIT 0:BEEP 1:PRINT "Eingabe zeilenweise!":BEEP 1,100,100
  210 FOR I=1TO N
  220 FOR J=1TO N
  230 CLS :PRINT "A(";I;",";J;") fr X";J;" = ";
  240 INPUT A(I,J):AD(I-1,J-1)=A(I,J)
  250 BEEP 1,10,10
  260 NEXT J
  270 CLS :PRINT "C(";I;") = ";
  280 INPUT C(I):CD(I)=C(I)
  290 BEEP 1,10,10
  300 NEXT I
  310 REM
  320 IF P$="J"GOSUB 1430
  330 REM
  340 REM  GLEICHUNGEN REDUZIEREN
  350 REM
  360 CLS :WAIT 0:PRINT "Gleichungs-Reduzierung":PRINT "======================"
  370 T1=TIME
  380 FOR I=1TO N-1:GOSUB 800
  390 FOR J=ITO N-1:CURSOR 16:PRINT "A(";(J+1);",";I;")=0 ";
  400 AQ=-A(J+1,I)/A(I,I)
  410 FOR K=ITO N
  420 Z(K)=AQ*A(I,K)
  430 NEXT K:C=C(I)*AQ
  440 FOR K=ITO N
  450 A=A(J+1,K):Z=Z(K):B=A+Z
  460 IF B=0GOTO 480
  470 IF ABS (A/B)>1E8AND ABS (Z/B)>1E8LET B=0
  480 A(J+1,K)=B
  490 NEXT K:C(J+1)=C(J+1)+C
  500 IF P$="J"GOSUB 1580
  510 NEXT J
  520 NEXT I:I=N:GOSUB 840:T2=TIME
  530 REM
  540 REM  LSUNGEN ERRECHNEN
  550 REM
  560 CLS :WAIT 0:PRINT "Errechnung der Lsungen":PRINT "======================="
  570 FOR I=NTO 1STEP -1
  580 S=0:IF I=NGOTO 620
  590 FOR J=I+1TO N
  600 S=S+X(J)*A(I,J)
  610 NEXT J
  620 X(I)=(C(I)-S)/A(I,I)
  630 IF ABS X(I)<1E-8LET X(I)=0
  640 NEXT I:T3=TIME
  650 REM
  660 REM  LSUNGEN ANZEIGEN
  670 REM
  680 "A"BEEP 2:GOSUB 690:GOTO 720
  690 BEEP 1:ST=0:INPUT "Anzahl d.Stellen (1...10)";ST
  700 IF ST>10OR ST<1BEEP 2:GOTO 690
  710 RETURN
  720 USING :FOR I=1TO N
  730 X=X(I):GOSUB 1330
  740 CLS :WAIT :PRINT "Lsung X";I;"=";X
  750 NEXT I
  760 GOTO 720
  770 REM
  780 REM  UP-GLEICHUNGEN SORTIEREN - A(I,)<>0 !!
  790 REM
  800 FOR J=1TO N
  810 IF I=JGOTO 830
  820 IF ABS A(I,J)>ABS A(I,I)GOSUB 890
  830 NEXT J
  840 LO=1:IF A(I,I)=0WAIT 0:LO=0:PRINT "KEINE EINDEUTIGE LSUNG!";:BEEP 3,50,100:WAIT :PRINT :END
  850 RETURN
  860 REM
  870 REM  GLEICHUNGEN TAUSCHEN
  880 REM
  890 FOR K=1TO N
  900 Z=A(I,K):A(I,K)=A(J,K):A(J,K)=Z
  910 NEXT K
  920 C=C(I):C(I)=C(J):C(J)=C
  930 RETURN
  940 REM
  950 REM  AUSDRUCK DER LSUNGEN
  960 REM
  970 "D"CLS :USING :WAIT 0:BEEP 1:PRINT "DATEN-AUSDRUCK":PRINT "=============="
  980 TEXT :CSIZE 2:GOSUB 690
  990 Q$="":BEEP 1:INPUT "Eingangsdaten drucken (J/)";Q$
 1000 IF Q$="J"GOSUB 1100
 1010 IF LO=0LPRINT "KEINE EINDEUTIGE LSUNG MGLICH !":LF 6:END
 1020 LPRINT "  ** LSUNGEN **":LF 1
 1030 FOR I=1TO N
 1040 X=X(I):GOSUB 1330
 1050 LPRINT "  X";I;" = ";X
 1060 NEXT I:LF 6:END
 1070 REM
 1080 REM  AUSDRUCK DER EINGABEDATEN
 1090 REM
 1100 K=0:FOR I=0TO N-1
 1110 FOR J=0TO N-1
 1120 L=LEN STR$ AD(I,J)
 1130 IF L>KLET K=L
 1140 NEXT J
 1150 L=LEN STR$ CD(I+1)
 1160 IF L>KLET K=L
 1170 NEXT I
 1180 K=K+LEN "A(,)="+2*LEN STR$ N+2
 1190 X=INT (38/K)
 1200 A$(0)="":FOR I=1TO K:A$(0)=A$(0)+"&":NEXT I
 1210 LPRINT "  ** EINGEGEBENE WERTE **":LF 1
 1220 USING A$(0)
 1230 FOR I=1TO N
 1240 L=0:FOR J=1TO N
 1250 L=L+1:IF L>XLET L=1:TAB 0:LF 1
 1260 A$(0)="A("+STR$ I+","+STR$ J+")="+STR$ AD(I-1,J-I)
 1270 LPRINT A$(0)
 1280 NEXT J
 1290 L=L+1:IF L>XLET L=1:TAB 0:LF 1
 1300 A$(0)="C("+STR$ I+")="+STR$ CD(I)
 1310 LPRINT A$(0):GRAPH :GLCURSOR (0,-5):TEXT :CSIZE 2
 1320 NEXT I:LF 2:USING :RETURN
 1330 REM
 1340 REM  ZAHL X AUF ST STELLEN RUNDEN
 1350 REM
 1360 IF X=0RETURN
 1370 Z=INT LOG ABS X
 1380 Z=ST-1-Z:X=10^-Z*INT (10^Z*X+.5)
 1390 RETURN
 1400 REM
 1410 REM    PRUEFAUSDRUCK - START 1430 ODER 1440
 1420 REM
 1430 I=0:J=-1
 1440 TEXT :CSIZE 1:USING :LF -3:LPRINT "DURCHLAUF ";I;"   ZEILE";J+1
 1450 USING "####.##"
 1460 IF I=0GOTO 1500
 1470 Z(I-1)=0
 1480 FOR II=1TO N
 1490 LPRINT Z(II);:NEXT II:LPRINT " ";C
 1500 LF 1
 1510 FOR II=1TO N
 1520 FOR JJ=1TO N
 1530 LPRINT A(II,JJ);:NEXT JJ:LPRINT """;C(II)
 1540 NEXT II:LF 6:RETURN
 1550 REM
 1560 REM  DATENNDERUNG IM EINGABEFELD
 1570 REM
 1580 "F"CLS :USING :WAIT 0:BEEP 1:I=1:J=1
 1590 PRINT "nderung d.Eingabedaten":PRINT "=======================":BEEP 1,100,100
 1600 PRINT "A(I,J): I(0=--ENDE)=";:INPUT I
 1610 PRINT "A(I,J): ";
 1620 IF I=0GOTO 1750
 1630 PRINT "I=";STR$ I;", J(0=--C)=";:INPUT J:GOTO 1650
 1640 PRINT STR$ J:GOTO 1660
 1650 PRINT ""
 1660 IF I<0OR J<0BEEP 3:GOTO 1600
 1670 IF I>NOR J>NBEEP 3:GOTO 1600
 1680 IF J=0GOTO 1720
 1690 CLS :PRINT "A(";STR$ I;",";STR$ J;")=";AD(I-1,J-1);" ";
 1700 INPUT AD(I-1,J-1)
 1710 GOTO 1600
 1720 CLS :PRINT "C(";STR$ I;")=";CD(I);" ";
 1730 INPUT CD(I)
 1740 GOTO 1600
 1750 WAIT :CLS :BEEP 1:PRINT "Neue Berechnung [ENTER]":WAIT 0:GOSUB 110
 1760 FOR I=1TO N
 1770 FOR J=1TO N
 1780 A(I,J)=AD(I-1,J-1)
 1790 NEXT J
 1800 C(I)=CD(I)
 1810 NEXT I
 1820 GOTO 320
 1830 REM
 1840 REM  AUSDRUCK VON ERLUTERUNGEN
 1850 REM
 1860 CLS :TEXT :USING :BEEP 1:WAIT 0:PRINT "   * ERLUTERUNGEN *"
 1870 LPRINT "* ERLUTERUNGEN *"
 1880 CSIZE 1:LF 1:LPRINT "DAS PROGRAMM BERECHNET NACH DEM"
 1890 LPRINT "GAUSSSCHEN ALGORITHMUS GLEICHUNGS-"
 1900 LPRINT "SYSTEME MIT 2 BIS N UNBEKANNTEN."
 1910 LF 2:LPRINT "BEISPIEL: STRUKTUR DES GLEICHUNGS-"
 1920 LPRINT TAB 10;"SYSTEMS FR N = 2"
 1930 LF 1:LPRINT "A(1,1) * X1 + A(1,2) * X2 = C(1)"
 1940 LPRINT "A(2,1) * X1 + A(2,2) * X2 = C(2)"
 1950 LF 1:LPRINT "X1, X2 = GESUCHTE UNBEKANNTE"
 1960 LPRINT "A(I,J) = KOEFFIZIENTEN"
 1970 LPRINT "C(I)   = ABSOLUTER WERT (KONSTANTE)"
 1980 LF 1:LPRINT " I = INDIZE DER ZEILEN/GLEICHUNGEN"
 1990 LPRINT " J = INDIZE DER SPALTEN/UNBEKANNTEN"
 2000 LF 2:LPRINT "PROGRAMM-TEILE (AUFRUFE):"
 2010 LF 1:LPRINT "START MIT --";TAB 11;"> RUN"
 2020 LPRINT "DEF A : LSUNGEN ANZEIGEN"
 2030 LPRINT TAB 8;"MIT ENTER DURCHTASTEN"
 2040 LPRINT "DEF D : AUSDRUCK VON DATEN/LSUNGEN"
 2050 LPRINT "DEF F : DATENNDERUNGEN UND"
 2060 LPRINT TAB 8;"NEUBERECHNUNG"
 2070 LPRINT "DEF M : MESSAUSGLEICHSRECHNUNG"
 2080 LF 1:LPRINT "ES IST MGLICH EINEN EINFACHEN"
 2090 LPRINT "PRFAUSDRUCK AUSZUGEBEN. HIERBEI"
 2100 LPRINT "ERFOLGT JE NACH REDUZIERUNGSSTUFE"
 2110 LPRINT "DER AUSDRUCK DER KOEFFIZIENTEN UND"
 2120 LPRINT "KONSTANTEN DES GLEICHUNGSSYSTEMS."
 2130 LPRINT "IN ZEILE 1002 MUSS DAS AUSGABEFORMAT"
 2140 LPRINT "FESTGELEGT WERDEN."
 2150 LPRINT "DIE GLEICHUNGEN WERDEN SORTIERT, UM"
 2160 LPRINT "DAFR ZU SORGEN, DASS A(X,X) STETS"
 2170 LPRINT "UNGLEICH NULL IST (X=1,2,....,N)."
 2180 LPRINT "OB DER PRFAUSDRUCK GEWNSCHT IST,"
 2190 LPRINT "WIRD VOM PROGRAMM ERFRAGT."
 2200 LF 1:LPRINT "DIE ERGEBNISSE WERDEN AUF ANGEBBARE"
 2210 LPRINT "STELLENZAHL GERUNDET."
 2220 LF 6:RETURN
 2230 "TEST"T0=TIME
 2240 FOR I=0TO N-1:S=0:FOR J=0TO N-1
 2250 AD(I,J)=(RND 1E9-5E8)*10^(RND 15-10)
 2260 S=S+AD(I,J)*(J-N/2+.5):NEXT J
 2270 CD(I+1)=S:NEXT I:TT=TIME :GOTO 1750
 2280 REM
 2290 REM
 2300 REM  ERMITTLUNG DER AUSGLEICHSKURVE N-TEN GRADES
 2310 REM
 2320 "M":WAIT 0:CLS :BEEP ON :BEEP 1:PRINT "Messwert-Ausgleichskurve  ========================"
 2330 PRINT :BEEP 1:INPUT "Erluterungen (J/-): ";E$:IF E$="J"GOSUB 4080
 2340 CLEAR :BEEP 1:INPUT "Anzahl der Messpaare: ";MP
 2350 MP=INT MP:IF MP<3BEEP 2:GOTO 2340
 2360 BEEP 1:INPUT "Grad der Ausgl.-Kurve: ";GA
 2370 GA=INT GA:IF GA<1OR GA>MP-1BEEP 2:GOTO 2360
 2380 BEEP 1:DIM XM(MP),YM(MP),XS((MP-1)*2)
 2390 N=MP:IF N>10LET N=11
 2400 U=1:GOSUB 150
 2410 N=GA+1
 2420 REM
 2430 REM  MESSWERTEINGABE
 2440 REM
 2450 "C"WAIT 0:FOR I=1TO MP
 2460 CLS :BEEP 1:PRINT "P";I;" (";XM(I);"/";YM(I);")= ";:INPUT XM(I):GOTO 2480
 2470 GOTO 2490
 2480 BEEP 1:PRINT XM(I);"/";:INPUT YM(I)
 2490 NEXT I:BEEP 1
 2500 REM
 2510 REM  KOEFFIZIENTEN FR DIE NORMALGLEICHUNGEN BILDEN
 2520 REM
 2530 CLS :WAIT 0:PRINT "Gl.-System erzeugen ..."
 2540 XS(0)=MP
 2550 FOR J=1TO GA*2:XS(J)=0
 2560 FOR I=1TO MP
 2570 XS(J)=XS(J)+XM(I)^J
 2580 NEXT I:NEXT J
 2590 CD(1)=0:FOR I=1TO MP:CD(1)=CD(1)+YM(I):NEXT I
 2600 FOR J=1TO GA:CD(J+1)=0
 2610 FOR I=1TO MP
 2620 CD(J+1)=CD(J+1)+YM(I)*XM(I)^J
 2630 NEXT I:NEXT J
 2640 REM
 2650 REM  KOEFFIZIENTEN FR DAS GLEICHUNGSSYSTEM BILDEN
 2660 REM
 2670 FOR I=0TO GA
 2680 FOR J=0TO GA
 2690 AD(I,J)=XS(I+J)
 2700 NEXT J:NEXT I
 2710 REM
 2720 GOTO 1760
 2730 REM
 2740 REM  KURVENAUSDRUCK
 2750 REM
 2760 "Z"CLS :K$="":FA=0:R$=""
 2770 IF KS=1BEEP 1:INPUT "Vorh.K.-Syst.Verw.(J/-):";K$:IF K$="J"INPUT "FARBE (0,1,2,3):";FA
 2780 IF K$="J"GOTO 2810
 2790 GRAPH :GLCURSOR (10,-600):SORGN
 2800 BEEP 1:INPUT "Raster zeichnen (J/-): ";R$
 2810 XA=XM(1):XI=XA:YA=YM(1):YI=YA
 2820 FOR I=2TO MP
 2830 IF XM(I)>XALET XA=XM(I)
 2840 IF YM(I)>YALET YA=YM(I)
 2850 IF YM(I)<YILET YI=YM(I)
 2860 IF XM(I)<XILET XI=XM(I)
 2870 NEXT I
 2880 XD=XA-XI:YD=YA-YI:XU=XI
 2890 ZD=XD:ZI=XI:GOSUB 3720:XI=ZI:XD=ZD
 2900 ZD=YD:ZI=YI:GOSUB 3720:YI=ZI:YD=ZD
 2910 FX=600/XD:FY=600/YD
 2920 IF R$="J"COLOR 3:GOSUB 3870
 2930 COLOR FA
 2940 REM
 2950 REM  PUNKTE EINTRAGEN
 2960 REM
 2970 FOR I=1TO MP
 2980 GLCURSOR ((XM(I)-XI)*FX,(YM(I)-YI)*FY)
 2990 RLINE -(-3,0):RLINE -(6,0):RLINE -(-3,0):RLINE -(0,3):RLINE -(0,-6):RLINE -(0,3)
 3000 NEXT I
 3010 REM
 3020 REM  KURVE EINTRAGEN
 3030 REM
 3040 AL=1:X=XU:IK=(XA-XU)/INT (SQR GA*20):IF GA=1LET IK=XA-XU
 3050 GOSUB 3060:GOTO 3090
 3060 Y=X(1):FOR I=1TO GA
 3070 Y=Y+X(I+1)*X^I
 3080 NEXT I:RETURN
 3090 IF Y>YI+YD*1.1OR Y<YI-YD*.1LET AL=1:GOTO 3130
 3100 IF AL=1GLCURSOR ((X-XI)*FX,(Y-YI)*FY)
 3110 IF AL=0LLINE -((X-XI)*FX,(Y-YI)*FY)
 3120 AL=0
 3130 X=X+IK:IF X<=XA+XD*1E-3GOTO 3050
 3140 GLCURSOR (0,-120):KS=1:END
 3150 REM
 3160 REM  Y-WERTE INTERPOLIEREN
 3170 REM
 3180 "V"CLS :BEEP 1:WAIT 0:PRINT "Y-Werte interpolieren":PRINT "====================="
 3190 GOSUB 690
 3200 WD$="":BEEP 1:INPUT "Werte drucken (J/-): ";WD$
 3210 IF WD$="J"TEXT :COLOR 0:LPRINT "* INTERPOLATION *":CSIZE 2:LF 1
 3220 BEEP 1:INPUT "X-WERT=";X
 3230 GOSUB 3060:V=X:X=Y:GOSUB 1360
 3240 IF WD$="J"LPRINT "X=";STR$ V;"   Y=";STR$ X
 3250 PRINT "X=";STR$ V;"   Y=";STR$ X
 3260 GOTO 3220
 3270 REM
 3280 REM  BERECHNUNG DES KURVENFEHLERS
 3290 REM
 3300 "G"CLS :WAIT 0:BEEP 1:PRINT "Berechnung des Fehlers":PRINT "======================"
 3310 F=0:WS=0:FOR L=1TO MP
 3320 X=XM(L):GOSUB 3060
 3330 Z=Y-YM(L):WS=WS+ABS YM(L)
 3340 F=F+Z*Z:NEXT L:F=SQR F:IF WS=0LET WS=1E-99
 3350 X=F/WS*100:ST=3:GOSUB 1360
 3360 BEEP 1:PRINT "Kurvenfehler ";X;" %":END
 3370 REM
 3380 REM  NOCHMALIGER AUSGLEICH N=?
 3390 REM
 3400 "X"CLS
 3410 BEEP 1:INPUT "Grad der Ausgl.-Kurve: ";GA
 3420 GA=INT GA:IF GA<1OR GA>MP-1BEEP 2:GOTO 3410
 3430 N=GA+1:GOTO 2510
 3440 REM
 3450 REM  AUSDRUCK DER MESSWERTE
 3460 REM
 3470 "N"CLS :WAIT 0:BEEP 1:PRINT "Ausdruck der Messwerte":PRINT "======================":BEEP 1
 3480 COLOR 0
 3490 TEXT :LPRINT "* MESSWERTE *":CSIZE 2:LF 1:TEXT
 3500 FOR I=1TO MP
 3510 LPRINT "P";I;" (";XM(I);"/";YM(I);")"
 3520 NEXT I:LF 3:END
 3530 REM
 3540 REM  BERECHNUNGSFORMEL DRUCKEN
 3550 REM
 3560 "B"CLS :WAIT 0:BEEP 1:PRINT "Berechnungsformel drucken":PRINT "========================="
 3570 GOSUB 690:COLOR 0
 3580 TEXT :LPRINT "* FORMEL *":CSIZE 1:LF 1:TEXT
 3590 X=X(1):GOSUB 1360
 3600 LPRINT "Y=";X;" ";:IF SGN X(2)>=0LPRINT "+";
 3610 X=X(2):GOSUB 1360:LPRINT X;"*X ";
 3620 IF GA=1GOTO 3670
 3630 FOR I=2TO GA
 3640 X=X(I+1):GOSUB 1360:IF SGN X>=0LPRINT "+";
 3650 LPRINT STR$ X;"*X";:CSIZE 1:LF -1:LPRINT STR$ I;:LF 1:CSIZE 2:LPRINT " ";
 3660 NEXT I
 3670 TEXT :LF 4:END
 3680 REM
 3690 REM  ACHSENABSCHNITT ERMITTELN
 3700 REM  EINGANGS-u. AUSGANGSGRSSEN: ZI u. ZD
 3710 REM
 3720 IF ZD=0LET ZI=ZI-1:ZD=2
 3730 Z=LOG ZD:ST=1
 3740 ZG=INT Z:ZM=Z-ZG
 3750 IF ZM>LOG 2LET X=ZD/5:GOSUB 3810:ZD=5*X
 3760 IF ZM<=LOG 2LET X=ZD/25:GOSUB 3810:ZD=25*X
 3770 Z=1-INT LOG ABS ZD
 3780 ZI=10^-Z*INT (10^Z*ZI)
 3790 RETURN
 3800 CLS :WAIT :PRINT ZI,ZD:WAIT 0:RETURN
 3810 Z=INT LOG ABS X
 3820 X=10^Z*INT (10^-Z*X+.999999999)
 3830 RETURN
 3840 REM
 3850 REM  KOORDINATENRASTER DRUCKEN
 3860 REM
 3870 FOR I=0TO 5
 3880 LLINE (0,I*120)-(600,I*120)
 3890 IF I=5GOTO 3910
 3900 LLINE (600,I*120+60)-(0,I*120+60)
 3910 NEXT I
 3920 FOR I=5TO 0STEP -1
 3930 LLINE (I*120,600)-(I*120,0)
 3940 IF I=0GOTO 3960
 3950 LLINE (I*120-60,0)-(I*120-60,600)
 3960 NEXT I
 3970 CSIZE 2:FOR I=0TO 9
 3980 X$=STR$ (YI+I*YD/10)
 3990 GLCURSOR (610,I*60-4)
 4000 LPRINT X$
 4010 NEXT I
 4020 ROTATE 3,0
 4030 FOR I=0TO 10
 4040 X$=STR$ (XI+I*XD/10)
 4050 GLCURSOR (I*60+6,-12*LEN X$)
 4060 LPRINT X$
 4070 NEXT I:RETURN
 4080 REM
 4090 REM  ERLUTERUNGEN KURVENAUSGLEICH
 4100 REM
 4110 TEXT :LPRINT "* ERLUTERUNGEN *"
 4120 CSIZE 1:LF 1:LPRINT "DEF M : NEUSTART DER MESSWERTEINGABE"
 4130 LPRINT "DEF N : AUSDRUCK DER MESSWERTE"
 4140 LPRINT "DEF C : KORRKTUR DER MESSWERTE"
 4150 LPRINT "DEF B : AUSDRUCK DER FORMEL"
 4160 LPRINT "DEF Z : KURVEN-AUSDRUCK"
 4170 LPRINT "DEF X : ERNEUTE BERECHNUNG DER WAHL"
 4180 LPRINT TAB 8;"DES GRADES DER FUNKTION"
 4190 LPRINT "DEF G : FEHLER DER FORMEL/KURVE"
 4200 LPRINT "DEF V : BERECHNUNG EINZELNER WERTE"
 4210 LPRINT TAB 8;"Y = F(X)  (INTERPOLATION)"
 4220 LF 1:LPRINT "DER GRAD DER FUNKTION IST AUF MAX."
 4230 LPRINT "10 BEGRENZT. NDERUNG IN ZEILE 3060"
 4240 LF 1:LPRINT "BERECHNUNG DES FEHLERS:"
 4250 LPRINT "F=(SQR(SUMME(Vi*Vi)/SUMME YMi)*100"
 4260 LF 6:RETURN
 4270 REM
